# Contributing to ivneuro

Contributions to ivneuro are welcome, and they are greatly appreciated! Every little bit
helps, and credit will always be given. 

If you have any ideas, encounter issues, or want to help in any way, we encourage you to open a new issue at https://github.com/casey-e/ivneuro/issues.

## Ways to Contribute

### Bug Reports
If you come across a bug while using ivneuro, please let us know by opening a new issue. If you are reporting a bug, please include:

- Your operating system name and version.
- Any details about your local setup that might be helpful in troubleshooting.
- Detailed steps to reproduce the bug and any error messages.

### Documentation Improvements
If you find any gaps or areas that need clarification in our documentation, open an issue to let us know. You can also suggest specific improvements or corrections.

### Feature Requests
If you have a feature in mind that you believe would be beneficial, create a new issue outlining the feature's purpose and functionality. We'll discuss its feasibility and potential implementation together.

### Code Contributions
If you are a developer, you can help by writing code to add new features, fix bugs, optimize performance, or improve the overall structure of the package.

### General Feedback
We welcome any feedback or suggestions you have regarding ivneuro. Feel free to open an issue to discuss your thoughts and ideas with us.

## Getting Started

To open a new issue, follow these steps:

1. **GitHub Account**: Make sure you have a GitHub account. If not, you can create one at [https://github.com/join](https://github.com/join).

2. **Navigate to Issues**: Go to the [Issues tab](https://github.com/your-username/ivneuro/issues) of the ivneuro repository on GitHub.

3. **New Issue**: Click the "New Issue" button.

4. **Choose an Issue Template**: Depending on the nature of your contribution (bug report, feature request, etc.), select the appropriate issue template.

5. **Fill in Details**: Provide as much information as possible in the issue template. This may include a clear title, a description of the problem or enhancement, steps to reproduce, and any relevant screenshots or examples.

6. **Submit**: Once you've filled in the details, click "Submit new issue."


## Acknowledgments

We genuinely appreciate your willingness to contribute to ivneuro. Your input helps us improve the package and support the neuroscientific community.

Thank you for considering contributing, and we look forward to collaborating with you!

